Bug Hunting Session
Bug 119010 - Page area hatch doesn't work correctly in a Writer document with mirrored pages.
Summary: Page area hatch doesn't work correctly in a Writer document with mirrored pages.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Styles-Page
  Show dependency treegraph
 
Reported: 2018-07-30 22:21 UTC by Robin Henderson
Modified: 2019-11-05 17:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot showing error. (41.58 KB, image/jpeg)
2018-07-30 22:25 UTC, Robin Henderson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Henderson 2018-07-30 22:21:52 UTC
Description:
Format >> Page >> Area >> Hatch doesn't work properly in a Writer document with mirrored pages.

Steps to Reproduce:
1. Create a Writer document
2. Format >> Page >> Page
3. Set page layout to 'Mirrored' and click 'OK'
4. Format >> Page >> Area >> Hatch
5. Select one of the hatch options and click 'OK'


Actual Results:
The hatch will be applied to the right hand page correctly but not the left hand page.

The left hand page will show a solid block of colour instead of the hatch. 

Expected Results:
The hatch should be applied to the LH page as well as the RH page.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Running Windows 7 Home Premium
64 bit
DELL Intel Pentium CPU P6200 @2.13GHz
Bug present in 6.0.5.2 and in 5.4.7

Other features of Format >> Page >> Area also don't get applied consistently (ie., LH page doesn't match the RH page) when the document pages are set up as mirrored
  Gradient
  Bitmap
  Pattern
Comment 1 Robin Henderson 2018-07-30 22:25:26 UTC
Created attachment 143831 [details]
Screenshot showing error.
Comment 2 Joel Madero 2018-07-30 22:28:42 UTC
Version: 6.0.4.2
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU threads: 4; OS: Windows 6.1; UI render: default; 
Locale: en-US (en_US); Calc: CL


Confirmed.


Robin - if possible it would be nice to find out if this is a regression. If you have time please test against earlier releases of LibreOffice. Best way to to do it is to test against 3.3 - if it didn't exist in 3.3 we know that it's a regression against the Fork from OOo.

Older Versions: https://downloadarchive.documentfoundation.org/libreoffice/old/

Thank you
Comment 3 Robin Henderson 2018-07-30 23:03:17 UTC
I'm afraid I can't find LibreOffice v3.3

All I could find is v3.3 of the Software Developers Toolkit which carries the OpenOffice branding.

I only installed LibreOffice for the first time yesterday v5.4.2 and upgraded to 6.0.5.2 today when I hit the bug.

So, I'm rather out of my depth. Previously I was running OpenOffice v4.1.3. 

The feature to configure Gradient, Bitmap, Pattern and Hatch isn't present in OO 4.1.3. The only feature offered is Format >> Page >> Background >> Colour so I'm guessing that this is a new feature added by LibreOffice.

Hope this helps a little, Sorry I can't give you more to go on. I'm off on holiday tomorrow so can't be much help.

Thanks.
Comment 4 Robin Henderson 2018-07-31 00:26:27 UTC
OK, further to my last comment, I found and installed LibreOffice 3.3.0.3 only to discover that the capability to configure Gradient, Bitmap, Pattern and Hatch isn't provided. 

The only option offered is the capability to configure the page's background colour (Format >> Page >> Background >> Colour).
Comment 5 Xisco Faulí 2018-07-31 08:57:00 UTC
Also reproduced in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

and

Version: 4.5.0.0.alpha0+
Build ID: 2851ce5afd0f37764cbbc2c2a9a63c7adc844311
Locale: ca_ES

in previous versions, the hatch option wasn't available....
Comment 6 QA Administrators 2019-08-03 03:05:28 UTC Comment hidden (obsolete)
Comment 7 Robin Henderson 2019-11-05 17:48:38 UTC
I can confirm that the bug is still present.

I am running LibreOffice Version: 6.2.8.2
Build ID: f82ddfca21ebc1e222a662a32b25c0c9d20169ee
CPU threads: 4; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

I'm no longer using a Windows laptop.
Instead I have...
  Model Identifier:	        MacBookAir8,1
  Processor Name:	        Intel Core i5
  Processor Speed:	        1.6 GHz
  Number of Processors:	        1
  Total Number of Cores:        2
  L2 Cache (per Core):	        256 KB
  L3 Cache:	                4 MB
  Hyper-Threading Technology:	Enabled
  Memory:			8 GB